IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[KIZILAYKANGRUBU]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[KIZILAYKANGRUBU](
		[KANGRUBUID] [int] NOT NULL,
		[KANGRUBUADI] [nvarchar](20) NOT NULL
	) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM KIZILAYKANGRUBU WHERE KANGRUBUID = 1 AND KANGRUBUADI = 'A_RH_Pozitif') 
	INSERT INTO KIZILAYKANGRUBU (KANGRUBUID,KANGRUBUADI) VALUES(1,'A_RH_Pozitif')
IF NOT EXISTS (SELECT * FROM KIZILAYKANGRUBU WHERE KANGRUBUID = 2 AND KANGRUBUADI = 'A_RH_Negatif') 
	INSERT INTO KIZILAYKANGRUBU (KANGRUBUID,KANGRUBUADI) VALUES(2,'A_RH_Negatif')
IF NOT EXISTS (SELECT * FROM KIZILAYKANGRUBU WHERE KANGRUBUID = 3 AND KANGRUBUADI = 'B_RH_Pozitif') 
	INSERT INTO KIZILAYKANGRUBU (KANGRUBUID,KANGRUBUADI) VALUES(3,'B_RH_Pozitif')
IF NOT EXISTS (SELECT * FROM KIZILAYKANGRUBU WHERE KANGRUBUID = 4 AND KANGRUBUADI = 'B_RH_Negatif') 
	INSERT INTO KIZILAYKANGRUBU (KANGRUBUID,KANGRUBUADI) VALUES(4,'B_RH_Negatif')
IF NOT EXISTS (SELECT * FROM KIZILAYKANGRUBU WHERE KANGRUBUID = 5 AND KANGRUBUADI = 'AB_RH_Pozitif') 
	INSERT INTO KIZILAYKANGRUBU (KANGRUBUID,KANGRUBUADI) VALUES(5,'AB_RH_Pozitif')
IF NOT EXISTS (SELECT * FROM KIZILAYKANGRUBU WHERE KANGRUBUID = 6 AND KANGRUBUADI = 'AB_RH_Negatif') 
	INSERT INTO KIZILAYKANGRUBU (KANGRUBUID,KANGRUBUADI) VALUES(6,'AB_RH_Negatif')
IF NOT EXISTS (SELECT * FROM KIZILAYKANGRUBU WHERE KANGRUBUID = 7 AND KANGRUBUADI = 'O_RH_Pozitif') 
	INSERT INTO KIZILAYKANGRUBU (KANGRUBUID,KANGRUBUADI) VALUES(7,'O_RH_Pozitif')
IF NOT EXISTS (SELECT * FROM KIZILAYKANGRUBU WHERE KANGRUBUID = 8 AND KANGRUBUADI = 'O_RH_Negatif') 
	INSERT INTO KIZILAYKANGRUBU (KANGRUBUID,KANGRUBUADI) VALUES(8,'O_RH_Negatif')
